Summary: Binary editor
Name:    okteta
Version: 0.1.0
Release: 0.4.beta2%{?dist}

Group:   Applications/Editors
# GPLv2 or GPLv3 or later as approved by KDE e.V.
License: GPLv2 or GPLv3
URL:     http://frinring.wordpress.com/category/okteta/
# from http://www.kde-apps.org/content/show.php/Okteta?content=77819
Source0: 77819-okteta-0.1-beta2.tar.bz2
# translations collected from http://websvn.kde.org/trunk/l10n-kde4/*/messages/playground-utils
Source1: okteta-translations-0.1.0-beta2.tar.bz2
# fix build with kdelibs 4.0.x
Patch0:  okteta-0.1-beta2-kde40.patch
# cleanup toplevel and doc CMakeLists.txt to remove unwanted portions causing errors
Patch1:  okteta-0.1-beta2-cmakelists.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: cmake
BuildRequires: kdelibs4-devel
BuildRequires: desktop-file-utils
BuildRequires: gettext

%description
Okteta allows the user to load data from any file, view and edit it in
either hex or ASCII. Okteta uses the KDE 4 libraries.

%prep
%setup -q -n okteta-0.1-beta2 -a 1
cd okteta
%patch0 -p1
cd ..
%patch1 -p1
# add translations to sources
cat okteta-translations-0.1.0-beta2/CMakeLists.txt >>okteta/CMakeLists.txt
rm -f okteta-translations-0.1.0-beta2/CMakeLists.txt
mv -f okteta-translations-0.1.0-beta2/po okteta/po
rmdir okteta-translations-0.1.0-beta2

%build
%cmake_kde4 .
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# nothing should build against libokteta*_b.so
rm -f %{buildroot}%{_kde4_libdir}/libokteta*_b.so
# "install" the installed .desktop file to validate it
desktop-file-install %{buildroot}%{_datadir}/applications/kde4/okteta.desktop --vendor "" --dir %{buildroot}%{_datadir}/applications/kde4
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_kde4_bindir}/okteta
%{_kde4_libdir}/liboktetacore_b.so.4
%{_kde4_libdir}/liboktetacore_b.so.4.0.0
%{_kde4_libdir}/liboktetagui_b.so.4
%{_kde4_libdir}/liboktetagui_b.so.4.0.0
%{_kde4_datadir}/applications/kde4/okteta.desktop
%{_kde4_datadir}/icons/hicolor/16x16/apps/okteta.png
%{_kde4_datadir}/icons/hicolor/32x32/apps/okteta.png
%{_kde4_datadir}/icons/hicolor/48x48/apps/okteta.png
%{_kde4_appsdir}/okteta/oktetaui.rc
%{_kde4_libdir}/kde4/libkbytearrayedit.so
%{_kde4_libdir}/kde4/liboktetapart.so
%{_kde4_appsdir}/oktetapart/oktetapartui.rc
%{_kde4_datadir}/kde4/services/kbytearrayedit.desktop
%{_kde4_datadir}/kde4/services/oktetapart.desktop
%doc %{_kde4_docdir}/HTML/en/okteta/

%changelog
* Thu Apr 03 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1.0-0.4.beta2
- rebuild (again) for the fixed %%{_kde4_buildtype}

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1.0-0.3.beta2
- Rebuild for NDEBUG

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1.0-0.2.beta2
- Update to beta 2
- Use official tarball + separate translations
- Package COPYING
- Drop part of kde40.patch no longer needed with kdelibs 4.0.3

* Fri Mar 28 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.1.0-0.1.20080328svn791022
- Update to revision 791022 (beta 1 + minor bugfixes)
- Package documentation (added upstream)

* Tue Mar 18 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.0.9-0.2.20080318svn786572
- Update to revision 786572
- Add patch to fix build with kdelibs 4.0.x

* Thu Feb 28 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.0.9-0.1.20080228svn780093
- Update to revision 780093 (adds undo/redo support)
- Update License tag (now GPLv2 or GPLv3 instead of GPLv2 only)
- Drop cmakelists patch (fixed upstream)

* Tue Feb 5 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.0.1-0.4.20080203svn770494
- Don't ship oktetapart translations (which conflict with kde-l10n)

* Mon Feb 4 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.0.1-0.3.20080203svn770494
- Update to revision 770494
- Package translations
- Drop unneeded package_kpart conditional
- Add BR gettext

* Tue Jan 15 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.0.1-0.2.20080115svn761510
- Use desktop-file-install to ensure the .desktop file is valid

* Tue Jan 15 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.0.1-0.1.20080115svn761510
- Update to revision 761510
- Enable package_kpart
- Add missing ldconfig scriptlets for the shared libraries

* Wed Jan 2 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.0.1-0.1.20080102svn755662
- First Fedora package
